local t = Def.ActorFrame{
	LoadActor("_warning")..{
		OnCommand=cmd(playcommand,"Set");
		ShowCommand=cmd(bounceend,0.2;zoomx,1;);
		HideCommand=cmd(zoomx,0;);
		SetCommand=function(self)
			if GAMESTATE:IsCourseMode() then
				-- check for a course
				local course = GAMESTATE:GetCurrentCourse();
				self:stoptweening();
				if course then
					self:playcommand(course:HasMods() and "Show" or "Hide");
				else
					self:playcommand("Hide");
				end;
			end;
		end;
		CurrentCourseChangedMessageCommand=cmd(playcommand,"Set");
	};
};

return t;